dpkg-vendor(1)

NAAM
dpkg-vendor - vraagt informatie op over de leveranciers van de distributie

OVERZICHT
dpkg-vendor [optie...] commando

BESCHRIJVING
dpkg-vendor is gereedschap om informatie op te vragen over leveranciers die opgesomd worden in /etc/dpkg/origins. /etc/dpkg/origins/default bevat informatie over de huidige leverancier.

De bestanden origin bevatten metagegevens over specifieke leveranciers, zoals hun URL of waar bugrapporten kunnen worden ingediend. Ze worden doorgaans gebruikt om zowel het gedrag van hulpmiddelen te bepalen als de resulterende inhoud tijdens het bouwen van een pakket dat gericht is op een specifieke leverancier, en om de herkomst van het pakket te beschrijven.

In pakketten kan de leverancier ervan expliciet aangeven worden door een veld Origin op te nemen. Anders wordt aangenomen dat de leverancier van een pakket zonder een dergelijk veld de leverancier is waarnaar wordt verwezen door de default symbolische koppeling origin.

De symbolische koppeling default wordt ook gebruikt om de oorsprong aan te duiden van de huidige installatie die wordt beheerd door dpkg. Dit kan een volledige distributie zijn of een laag bovenop een bestaand basissysteem dat geen pakketsysteem bevat of een specifiek eigen pakketsysteem.

Dit programma werd geïntroduceerd in dpkg 1.15.1.

COMMANDO'S

--is leverancier
    Sluit af met 0 als de huidige leverancier leverancier is. Sluit anders af met 1.

--derives-from leverancier
    Sluit af met 0 als de distributie van de huidige leverancier een derivaat is van leverancier. Sluit anders af met 1. Het gebruikt het veld Parent om door al de voorvaderen van de huidige leverancier te bladeren.

--query veld
    Op de standaarduitvoer weergeven wat de waarde is van het leveranciersspecifieke veld voor de huidige leverancier.

--help
    Info tonen over het gebruik en afsluiten.

--version
    De versie tonen en afsluiten.

OPTIES

--vendor leverancier
    Neemt aan dat de huidige leverancier leverancier is, in plaats van dit te gaan opzoeken via de omgevingsvariabele DEB_VENDOR of via /etc/dpkg/origins/default.

OMGEVING

DEB_VENDOR
    Deze instelling definieert de huidige leverancier. Indien zij niet ingesteld is, zal gezocht worden naar de huidige leverancier door te gaan lezen in /etc/dpkg/origins/default.

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n) (sinds dpkg 1.19.0). Geldige waarden zijn: 0 and 1 (standaard).

BESTANDEN

  Ondersteuning bij het maken van een pakket

/usr/share/dpkg/vendor.mk
    Makefile-fragment dat de huidige leverancier en de bovenliggende leverancier instelt in variabelen en make-macro's biedt om te controleren op afgeleiden (sinds dpkg 1.16.1).

ZIE OOK
deb-origin(5).